Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -9442,4 +16680,62 @@
   ------   --------                             --------
   'hymn'   MakerNotes                           Pentax
+  'mknt'   MakerNotes                           Pentax
+
+=head2 PhaseOne Tags
+
+These tags are extracted from the maker notes of Phase One images.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0100   CameraOrientation                    no
+  0x0102   SerialNumber                         string
+  0x0105   ISO                                  int32s
+  0x0106   ColorMatrix1                         float[9]
+  0x0107   WB_RGBLevels                         float[3]
+  0x0108   SensorWidth                          int32s
+  0x0109   SensorHeight                         int32s
+  0x010a   SensorLeftMargin                     int32s
+  0x010b   SensorTopMargin                      int32s
+  0x010c   ImageWidth                           int32s
+  0x010d   ImageHeight                          int32s
+  0x010e   RawFormat                            int32s
+  0x010f   RawData                              no
+  0x0110   SensorCalibration                    PhaseOne SensorCalibration
+  0x0112   DateTimeOriginal                     no
+  0x0113   ImageNumber                          int32s
+  0x0203   Software                             string
+  0x0204   System                               string
+  0x0210   SensorTemperature                    float
+  0x0211   SensorTemperature2                   float
+  0x0212   UnknownDate?                         int32u
+  0x021c   StripOffsets                         no
+  0x021d   BlackLevel                           int32s
+  0x0222   SplitColumn                          int32s
+  0x0223   BlackLevelData                       int16u[n]
+  0x0226   ColorMatrix2                         float[9]
+  0x0267   AFAdjustment                         float
+  0x0301   FirmwareVersions                     string
+  0x0400   ShutterSpeedValue                    float
+  0x0401   ApertureValue                        float
+  0x0402   ExposureCompensation                 float
+  0x0403   FocalLength                          float
+  0x0410   CameraModel                          string
+  0x0412   LensModel                            string
+  0x0414   MaxApertureValue                     float
+  0x0415   MinApertureValue                     float
+  0x0455   Viewfinder                           string
+
+=head3 PhaseOne SensorCalibration Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0400   SensorDefects                        no
+  0x0401   AllColorFlatField1?                  no
+  0x0407   SerialNumber                         string
+  0x040b   RedBlueFlatField?                    no
+  0x0410   AllColorFlatField2?                  no
+  0x0416   AllColorFlatField3?                  no
+  0x0419   LinearizationCoefficients1           no
+  0x041a   LinearizationCoefficients2           no
 
 =head2 Reconyx Tags
@@ -9448,8 +16744,8 @@
 cameras such as the HC500, HC600 and PC900.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MakerNoteVersion                     N
-      1    FirmwareVersion                      N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    MakerNoteVersion                     no
+      1    FirmwareVersion                      no
       4    FirmwareDate                         int16u[2]
       6    TriggerMode                          string[2]
@@ -9458,6 +16754,6 @@
      11    DateTimeOriginal                     int16u[6]
      18    MoonPhase                            int16u
-     19    AmbientTemperatureFahrenheit         int16u
-     20    AmbientTemperature                   int16u
+     19    AmbientTemperatureFahrenheit         int16s
+     20    AmbientTemperature                   int16s
      21    SerialNumber                         undef[30]
      36    Contrast                             int16u
@@ -9470,193 +16766,58 @@
      43    UserLabel                            string[22]
 
-=head2 Ricoh Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0001   MakerNoteType                        string
-  0x0002   FirmwareVersion                      string
-  0x0005   SerialNumber                         undef[16]
-           InternalSerialNumber                 undef[16]
-  0x0e00   PrintIM                              PrintIM
-  0x1001   ImageInfo                            Ricoh ImageInfo
-  0x1003   Sharpness                            int32u
-  0x2001   RicohSubdir                          Ricoh Subdir
-           RicohRR1Subdir                       Ricoh Subdir
-
-=head3 Ricoh ImageInfo Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    RicohImageWidth                      int16u
-      2    RicohImageHeight                     int16u
-      6    RicohDate                            int8u[7]
-     28    PreviewImageStart                    int16u*
-     30    PreviewImageLength                   int16u*
-     32    FlashMode                            int8u
-     33    Macro                                int8u
-     34    Sharpness                            int8u
-     38    WhiteBalance                         int8u
-     39    ISOSetting                           int8u
-     40    Saturation                           int8u
-
-=head3 Ricoh Subdir Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0004   ManufactureDate1                     string[20]
-  0x0005   ManufactureDate2                     string[20]
-  0x001a   FaceInfo                             Ricoh FaceInfo
-  0x0029   FirmwareInfo                         Ricoh FirmwareInfo
-  0x002a   NoiseReduction                       int32u
-  0x002c   SerialInfo                           Ricoh SerialInfo
-
-=head3 Ricoh FaceInfo Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-    181    FacesDetected                        int8u
-    182    FaceDetectFrameSize                  int16u[2]
-    188    Face1Position                        int16u[4]
-    200    Face2Position                        int16u[4]
-    212    Face3Position                        int16u[4]
-    224    Face4Position                        int16u[4]
-    236    Face5Position                        int16u[4]
-    248    Face6Position                        int16u[4]
-    260    Face7Position                        int16u[4]
-    272    Face8Position                        int16u[4]
-
-=head3 Ricoh FirmwareInfo Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirmwareRevision                     string[12]
-     12    FirmwareRevision2                    string[12]
-
-=head3 Ricoh SerialInfo Tags
-
-This information is found in images from the GXR.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    BodyFirmware                         string[16]
-     16    BodySerialNumber                     string[16]
-     32    LensFirmware                         string[16]
-     48    LensSerialNumber                     string[16]
-
-=head3 Ricoh Text Tags
-
-Some Ricoh DC and RDC models use a text-based format for their maker notes
-instead of the IFD format used by the Caplio models.  Below is a list of known
-tags in this information.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'Bg'     BlueGain                             N
-  'Gg'     GreenGain                            N
-  'Rev'    FirmwareVersion                      N
-  'Rg'     RedGain                              N
-  'Rv'     FirmwareVersion                      N
-
-=head3 Ricoh RMETA Tags
-
-The Ricoh Caplio Pro G3 has the ability to add custom fields to the APP5
-"RMETA" segment of JPEG images.  While only a few observed tags have been
-defined below, ExifTool will extract any information found here.
-
-  Tag ID               Tag Name                 Writable
-  ------               --------                 --------
-  'Azimuth'            Azimuth                  N
-  'Condition'          Condition                N
-  'Lit'                Lit                      N
-  'Location'           Location                 N
-  'Sign type'          SignType                 N
-
-=head3 Ricoh AVI Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'mnrt'   MakerNoteRicoh                       Ricoh
-  'rdc2'   RicohRDC2?                           N
-  'thum'   ThumbnailImage                       N
-  'ucmt'   Comment                              N
-
-=head2 Samsung Tags
-
-=head3 Samsung Type1 Tags
-
-Tags found in the binary "STMN" format maker notes written by a number of
-Samsung models.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MakerNoteVersion                     undef[8]
-      2    PreviewImageStart                    int32u*
-      3    PreviewImageLength                   int32u*
-
-=head3 Samsung Type2 Tags
-
-Tags found in the EXIF-format maker notes of newer Samsung models.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0001   MakerNoteVersion                     undef[4]
-  0x0021   PictureWizard                        int16u[5]
-  0x0030   LocalLocationName                    string
-  0x0031   LocationName                         string
-  0x0035   PreviewIFD                           Nikon PreviewIFD
-  0x0043   CameraTemperature                    rational64s
-  0xa001   FirmwareName                         string
-  0xa003   LensType                             int16u
-  0xa004   LensFirmware                         string
-  0xa010   SensorAreas                          int32u[8]
-  0xa011   ColorSpace                           int16u
-  0xa012   SmartRange                           int16u
-  0xa013   ExposureCompensation                 rational64s
-  0xa014   ISO                                  int32u
-  0xa018   ExposureTime                         rational64u
-  0xa019   FNumber                              rational64u
-  0xa01a   FocalLengthIn35mmFormat              int32u
-  0xa020   EncryptionKey                        int32u[11]!
-  0xa021   WB_RGGBLevelsUncorrected             int32u[4]
-  0xa022   WB_RGGBLevelsAuto                    int32u[4]
-  0xa023   WB_RGGBLevelsIlluminator1            int32u[4]
-  0xa024   WB_RGGBLevelsIlluminator2            int32u[4]
-  0xa028   WB_RGGBLevelsBlack                   int32s[4]
-  0xa030   ColorMatrix                          int32s[9]
-  0xa031   ColorMatrixSRGB                      int32s[9]
-  0xa032   ColorMatrixAdobeRGB                  int32s[9]
-  0xa040   ToneCurve1                           int32u[23]
-  0xa041   ToneCurve2                           int32u[23]
-  0xa042   ToneCurve3                           int32u[23]
-  0xa043   ToneCurve4                           int32u[23]
-
-=head3 Samsung INFO Tags
-
-This information is found in MP4 videos from Samsung models such as the
-SMX-C20N.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'EFCT'   Effect                               N
-  'QLTY'   Quality                              N
-
-=head3 Samsung MP4 Tags
-
-This information is found in Samsung MP4 videos from models such as the
-WP10.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     46    ExposureTime                         N
-     50    FNumber                              N
-     58    ExposureCompensation                 N
-    106    ISO                                  N
-    125    Software                             N
-    248    ThumbnailWidth                       N
-    252    ThumbnailHeight                      N
-    256    ThumbnailLength                      N
-    260    ThumbnailOffset                      N
+=head3 Reconyx Type2 Tags
+
+Tags extracted from models such as the UltraFire.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     24    FirmwareVersion                      undef[7]
+     31    Micro1Version                        undef[7]
+     38    BootLoaderVersion                    undef[7]
+     45    Micro2Version                        undef[7]
+     52    TriggerMode                          undef[1]
+     53    Sequence                             int8u[2]
+     55    EventNumber                          int32u
+     59    DateTimeOriginal                     int8u[7]
+     66    DayOfWeek                            int8u
+     67    MoonPhase                            int8u
+     68    AmbientTemperatureFahrenheit         int16s
+     70    AmbientTemperature                   int16s
+     72    Illumination                         int8u
+     73    BatteryVoltage                       int16u
+     75    SerialNumber                         string[15]
+     90    UserLabel                            string[21]
+
+=head3 Reconyx Type3 Tags
+
+Tags extracted from models such as the HF2 PRO.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     16    FileNumber                           int16u
+     18    DirectoryNumber                      int16u
+     42    FirmwareVersion                      int16u[3]
+     48    FirmwareDate                         int16u[2]
+     52    TriggerMode                          string[2]
+     54    Sequence                             int16u[2]
+     58    EventNumber                          int16u[2]
+     62    DateTimeOriginal                     int16u[6]
+     74    DayOfWeek                            int16u
+     76    MoonPhase                            int16u
+     78    AmbientTemperatureFahrenheit         int16s
+     80    AmbientTemperature                   int16s
+     82    Contrast                             int16u
+     84    Brightness                           int16u
+     86    Sharpness                            int16u
+     88    Saturation                           int16u
+     90    Flash                                int16u
+     92    AmbientInfrared                      int16u
+     94    AmbientLight                         int16u
+     96    MotionSensitivity                    int16u
+     98    BatteryVoltage                       int16u
+    100    BatteryVoltageAvg                    int16u
+    102    BatteryType                          int16u
+    104    UserLabel                            string[22]
+    126    SerialNumber                         unicode[15]
 
 =head2 Sanyo Tags
@@ -9670,7 +16831,7 @@
   0x0202   Macro                                int16u
   0x0204   DigitalZoom                          rational64u
-  0x0207   SoftwareVersion                      Y
-  0x0208   PictInfo                             Y
-  0x0209   CameraID                             Y
+  0x0207   SoftwareVersion                      yes
+  0x0208   PictInfo                             yes
+  0x0209   CameraID                             yes
   0x020e   SequentialShot                       int16u
   0x020f   WideRange                            int16u
@@ -9691,10 +16852,10 @@
   0x0225   FlashMode                            int16u
   0x0e00   PrintIM                              PrintIM
-  0x0f00   DataDump                             N
+  0x0f00   DataDump                             no
 
 =head3 Sanyo FaceInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    FacesDetected                        int32u
       4    FacePosition                         int32u[4]
@@ -9704,13 +16865,13 @@
 This information is found in Sanyo MOV videos.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     38    ExposureTime                         N
-     42    FNumber                              N
-     50    ExposureCompensation                 N
-     68    WhiteBalance                         N
-     72    FocalLength                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     38    ExposureTime                         no
+     42    FNumber                              no
+     50    ExposureCompensation                 no
+     68    WhiteBalance                         no
+     72    FocalLength                          no
 
 =head3 Sanyo MP4 Tags
